Subject: bug#35487: Make visiting function from help-mode more customizable

From: Juri Linkov <[email-masked]>
Date: Sat, 11 May 2019 23:42:29 +0300

>> As a side effect, `C-h f' opens *Help* buffer in the same window.  I
>> still want to open *Help* in other window (original behavior).  Do you
>> have idea to do so?
>
> You could try with
>
> (defun display-buffer-condition-from-help (_buffer-name _action)
>   (string-match-p "\\`\\*\\(Help\\)\\*\\(\\|<[0-9]+>\\)\\'"
> 		  (buffer-name (window-buffer))))

I confirm this is more correct.

BTW, I observed one strange effect: after the *Help* buffer is displayed
on one window, the next time it's always displayed in the same window
where it was displayed previously:

0. emacs -Q
1. C-h f car RET
2. C-x o
3. C-h i
4. C-h f car RET
   is displayed in the same window, whereas
5. C-h f cdr RET
   is displayed in another window